Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.fold/1 1.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.fold
Class FoldStateChange

    java.lang.Object
      org.netbeans.api.editor.fold.FoldStateChange

    public final class FoldStateChange

extends Object

Information about state changes made in a particular fold.
Zero or more of the state change instances can be part of a particular `FoldHierarchyEvent`.

It can be extended to carry additional information specific to particular fold types.

Method Summary
`Fold` | `getFold()` Get the fold that has changed its state.
`int` | `getOriginalEndOffset()` Return the original end offset of the fold prior to change to the current end offset that the fold has now.
`int` | `getOriginalStartOffset()` Return the original start offset of the fold prior to change to the current start offset that the fold has now.
`boolean` | `isCollapsedChanged()` Has the collapsed flag of the fold (returned by `getFold()`) changed?
`boolean` | `isDescriptionChanged()` Has the text description of the collapsed fold (returned by `getFold()`) changed?
`boolean` | `isEndOffsetChanged()` Has the end offset of the fold (returned by `getFold()`) changed?
`boolean` | `isStartOffsetChanged()` Has the start offset of the fold (returned by `getFold()`) changed?
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getFold

    public Fold getFold()

  Get the fold that has changed its state.

### isCollapsedChanged

    public boolean isCollapsedChanged()

  Has the collapsed flag of the fold (returned by `getFold()`) changed?

  Returns:
    true if the collapsed flag has changed in the fold or false otherwise.

### isStartOffsetChanged

    public boolean isStartOffsetChanged()

  Has the start offset of the fold (returned by `getFold()`) changed?

  Returns:
    true if the start offset has changed in the fold or false otherwise.

### getOriginalStartOffset

    public int getOriginalStartOffset()

  Return the original start offset of the fold prior to change to the current start offset that the fold has now.

  Returns:
    original start offset or -1 if the start offset was not changed for the fold.

### isEndOffsetChanged

    public boolean isEndOffsetChanged()

  Has the end offset of the fold (returned by `getFold()`) changed?

  Returns:
    true if the end offset has changed in the fold or false otherwise.

### getOriginalEndOffset

    public int getOriginalEndOffset()

  Return the original end offset of the fold prior to change to the current end offset that the fold has now.

  Returns:
    original end offset or -1 if the end offset was not changed for the fold.

### isDescriptionChanged

    public boolean isDescriptionChanged()

  Has the text description of the collapsed fold (returned by `getFold()`) changed?

  Returns:
    true if the collapsed text description has changed in the fold or false otherwise.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.fold/1 1.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.